Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.commands
Class GUI.OptionBool

    java.lang.Object
      rdlc.commands.GUI.OptionControl
          rdlc.commands.GUI.OptionBool

Enclosing class:
  GUI

    public static class GUI.OptionBool

extends GUI.OptionControl

Option control for a boolean option.

Version:
  $Revision: 1.16 $
Author:
  Greg Gibeling

Field Summary
`protected javax.swing.JCheckBox` | `checkBox` The check box for this option.

Constructor Summary
`GUI.OptionBool(java.lang.String name, Main.OptionInfo info)` Create a boolean option control from the info structure.

Method Summary
`javax.swing.JComponent` | `getComponent()` Simple accessor.
`java.lang.String` | `getLabel()` Simple accessor.
`java.lang.String` | `getValue()` Simple accessor.

Methods inherited from class rdlc.commands.GUI.OptionControl
`create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### checkBox

    protected javax.swing.JCheckBox checkBox

  The check box for this option.

Constructor Detail

### GUI.OptionBool

    public GUI.OptionBool(java.lang.String name,
                          Main.OptionInfo info)

  Create a boolean option control from the info structure.

  Parameters:
    `name` - The name of the option this control is for.
    `info` - The information structure.

Method Detail

### getComponent

    public javax.swing.JComponent getComponent()

  Description copied from class: `GUI.OptionControl`
  Simple accessor.

  Specified by:
    `getComponent` in class `GUI.OptionControl`
  Returns:
    The actual swing component into which this option's data will be put.
  See Also:
    `GUI.OptionControl.getComponent()`

### getLabel

    public java.lang.String getLabel()

  Description copied from class: `GUI.OptionControl`
  Simple accessor.

  Specified by:
    `getLabel` in class `GUI.OptionControl`
  Returns:
    A string label to put next to the component. Can be `null`.
  See Also:
    `GUI.OptionControl.getLabel()`

### getValue

    public java.lang.String getValue()

  Description copied from class: `GUI.OptionControl`
  Simple accessor.

  Specified by:
    `getValue` in class `GUI.OptionControl`
  Returns:
    The actual value of the option.
  See Also:
    `GUI.OptionControl.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD